task annovar {

	File vcf_file
	File database
	String sample
	String docker
	String cluster_config
	String disk_size


	command <<<
		nt=$(nproc)
		/installations/annovar/table_annovar.pl ${vcf_file} ${database} -buildver hg19  -out ${sample} -remove -protocol refGene,cytoBand,genomicSuperDups,snp138,ljb26_all,cosmic78,clinvar_20190305,popfreq_all_20150413,intervar_20170202 -operation g,r,r,f,f,f,f,f,f -nastring . -vcfinput -thread $nt
	>>>

	runtime {
		docker:docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File avinput = "${sample}.avinput"
		File multianno_txt = "${sample}.hg19_multianno.txt"
		File multianno_vcf = "${sample}.hg19_multianno.vcf"

	}
}

